<div style="margin-bottom: 15px;">
    <p-dataTable
        [value]="purchaseOrderItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="10"
        [rowsPerPageOptions]="[10,15,20,50]" 
        [totalRecords]="totalItems" 
        [responsive]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPurOrdIte,"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="addNewData()">
                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="NIK">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nik}}
            </ng-template>
        </p-column>
        <p-column header="Nama Karyawan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.name}}
            </ng-template>
        </p-column>
        <p-column header="Jabatan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.jabatan}}
            </ng-template>
        </p-column>
        <p-column header="Rencana Mulai">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.planDtstart | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Rencana Selesai">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.planDtFinish | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Rencana Jumlah">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.planTotal}}
            </ng-template>
        </p-column>
        <p-column header="Realisasi mulai">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.realDtstart | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Realisasi Selesai">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.realDtFinish | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Realisasi Total">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.realTotal}}
            </ng-template>
        </p-column>
        <p-column header="Total Hari Ini">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.overTimeNow}}
            </ng-template>
        </p-column>
        <p-column header="Total s/d Hari INi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.overTimeSdNow}}
            </ng-template>
        </p-column>
        <p-column header="Total % - Lbr">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.overTimePersen}}
            </ng-template>
        </p-column>
        <p-column header="Keterangan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.catatan}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}" >
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    (click)="editItem(rowData.idOvertimeItem)"
                    icon="fa-pencil" pTooltip="Edit Item"
                    class="flat-button">
                </button>
                <button pButton type="button" 
                    (click)="delete(rowData.idOvertimeItem)"
                    icon="fa-remove"
                    pTooltip="Delete Item"
                    class="flat-button"> 
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>

<p-dialog header="Tambah Item" [(visible)]="newModal" modal="true" [width]="750">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <div class="card-deck" style="margin: 15px;">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_NIK">NIK</label>
                            <input type="text" class="form-control" name="NIK" id="field_NIK"
                                [(ngModel)]="nik" />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_name">Nama Karyawan</label>
                            <input type="text" class="form-control" name="name" id="field_name"
                                [(ngModel)]="name"/>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_jabatan">Jabatan</label>
                            <input type="text" class="form-control" name="jabatan" id="field_jabatan"
                                [(ngModel)]="jabatan"/>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <label class="form-control-label"  for="field_insFroms">Rencana Lembur</label>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_planDtstart">Mulai</label>
                            <div class="input-group">
                                <p-calendar inputId="field_planDtstart" 
                                name="planDtstart" [(ngModel)]="planDtstart"
                                dateFormat="dd-MM-yy" [monthNavigator]="true"
                                [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_planDtFinish">Selesai</label>
                            <div class="input-group">
                                <p-calendar inputId="field_planDtFinish" 
                                name="planDtFinish" [(ngModel)]="planDtFinish"
                                dateFormat="dd-MM-yy" [monthNavigator]="true"
                                [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_planTotal">Jumlah</label>
                            <input currencyMask class="form-control" name="planTotal" id="field_planTotal"
                                [(ngModel)]="planTotal"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <label class="form-control-label"  for="field_insFromsRealisasi">Realisasi Lembur</label>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_realDtstart">Mulai</label>
                            <div class="input-group">
                                <p-calendar inputId="field_realDtstart" 
                                name="realDtstart" [(ngModel)]="realDtstart"
                                dateFormat="dd-MM-yy" [monthNavigator]="true"
                                [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_realDtFinish">Selesai</label>
                            <div class="input-group">
                                <p-calendar inputId="field_realDtFinish" 
                                name="realDtFinish" [(ngModel)]="realDtFinish"
                                dateFormat="dd-MM-yy" [monthNavigator]="true"
                                [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_realTotal">Jumlah</label>
                            <input currencyMask class="form-control" name="planTotal" id="field_realTotal"
                                [(ngModel)]="realTotal"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <label class="form-control-label"  for="field_insFromsRealisasi">Jam Lembur Bulan Ini</label>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_overTimeNow">Hari Ini</label>
                            <input currencyMask class="form-control" name="overTimeNow" id="field_overTimeNow"
                                [(ngModel)]="overTimeNow"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_overTimeSdNow">s/d Hari Ini</label>
                            <input currencyMask class="form-control" name="overTimeSdNow" id="field_overTimeSdNow"
                                [(ngModel)]="overTimeSdNow"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_overTimePersen">% - Lbr</label>
                            <input currencyMask class="form-control" name="overTimePersen" id="field_overTimePersen"
                                [(ngModel)]="overTimePersen"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_catatan">Keterangan</label>
                            <input type="text" class="form-control" name="catatan" id="field_catatan"
                                [(ngModel)]="catatan"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="{{'entity.action.save' | translate}}"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </div>
    </form>
</p-dialog>

<p-dialog header="Edit Item" [(visible)]="newModalEdit" modal="true" [width]="750">
    <form name="editForm" role="form" novalidate (ngSubmit)="saveEdit()" #editForm="ngForm">
        <div class="card-deck" style="margin: 15px;">
                <div class="row">
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                                [style]="{'width':'100%'}"
                                [(ngModel)]="selectedKdBarang" id="field_KdBarang" name="KdBarangs"
                                [filter]="true" filterBy="label" 
                                (onChange)="selectKdBarang(true)"
                            ></p-dropdown>
                        </div>
                    </div> -->
					<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">No Urut</label>
                            <input currencyMask class="form-control" name="inputNoUrut" id="field_qty"
                                [(ngModel)]="purchaseOrderItemEdit.noUrut"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div> -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                            (completeMethod)="filterBarangSingle($event)" [size]="28" name="KdBarangs"
                            [minLength]="1"
                            [filter]="true"
                            filterBy="label"  field="kdBahan"placeholder="Please Select Or Insert" [dropdown]="true"
                            (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_barang">Nama Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                            (completeMethod)="filterBarangSingle($event)" [size]="28" name="barangs"
                            [minLength]="1" field="nmBahan"placeholder="Please Select Or Insert" [dropdown]="true"
                            (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div> -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Kode Barang</label>
                            <input type="text" class="form-control" name="inputCodeName" id="field_inputCodeName" 
                            [(ngModel)]="purchaseOrderItem.codeProduk" 
                            readonly/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Nama Barang</label><br>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang" 
                            (completeMethod)="filterBarangSingle($event)" [size]="26" name="barangs"
                            [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert" 
                            [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div> -->
					<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">Qty Request</label>
                            <input type="number" class="form-control" name="inputQty" id="field_qty"
                                [(ngModel)]="purchaseOrderItemEdit.qty"
                                />
                        </div>
                    </div> -->
						<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">Qty</label>
                            <input currencyMask class="form-control" name="inputQty" id="field_qty"
                                [(ngModel)]="purchaseOrderItem.qty"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div> -->
						<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_satuan">Satuan</label>
                            <input type="text" class="form-control" name="inputSatuan" id="field_satuan"
                                [(ngModel)]="purchaseOrderItemEdit.unit" />
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_dtRequest">Tgl Kirim</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtRequest" name="input_dtRequest" [(ngModel)]="dtSentEdit"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_dtOffer">Tgl Penawaran</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtOffer" name="inputDtOffer" [(ngModel)]="dtOfferEdit"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" [size]="30"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
					<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_offerNumber">No Penawaran</label>
                            <input type="text" class="form-control" name="offerNumber" id="field_offerNumber"
                                [(ngModel)]="purchaseOrderItemEdit.OfferNumber"
                                />
                        </div>
					<!-- --- kena aot ---- -->
                    </div> -->
                    <!-- <div class="col-md-6">
                            <div class="form-group">
                                <label for="field_barang">Nama Supplier</label>
                                <p-dropdown [options]="listSupplier" styleClass="form-control" autoWidth="false"
                                    [style]="{'width':'100%'}"
                                    [(ngModel)]="purchaseOrderItem.supplyerName" editable="editable" id="field_Supplier" name="supplier"
                                    [filter]="true" filterBy="label"
                                ></p-dropdown>
                            </div>
                    </div> -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_mat">Mata Uang</label>
                            <select class="form-control" id="field_need" name="mat" [(ngModel)]="purchaseOrderItemEdit.mataUang">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="satHargaOption.value" *ngFor="let satHargaOption of satHarga">{{satHargaOption.label}}</option>
                            </select>
                        </div>
                    </div> -->
					<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_supplierPrice">Harga Penawaran</label>
                            <input currencyMask class="form-control" name="supplierPrice" id="field_supplierPrice"
                                [(ngModel)]="purchaseOrderItemEdit.supplierPrice"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div> -->
						<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6" [hidden]="(peruntukan === 'Non Rutin')">
                        <div class="form-group">
                            <label class="form-control-label" for="field_necessity">Peruntukan</label>
                            <input type="text" class="form-control" name="necessity" id="field_necessity"
                                [(ngModel)]="purchaseOrderItemEdit.necessity" />
                        </div>
                    </div>
                    <div class="col-md-6" [hidden]="(peruntukan === 'Rutin')">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_necessity">Peruntukan</label>
                            <p-dropdown [options]="listProj" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable"
                            [(ngModel)]="purchaseOrderItemEdit.necessity" id="field_necessity" name="necessity"
                        ></p-dropdown>
                        </div>
                    </div> -->
					<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_necessity">Peruntukan</label>
                            <input type="text" class="form-control" name="necessity" id="field_necessity"
                                [(ngModel)]="purchaseOrderItem.necessity" />
                        </div>
                    </div> -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingStock">Catatan</label>
                            <input type="text" class="form-control" name="remainingStock" id="field_remainingStock"
                                [(ngModel)]="purchaseOrderItemEdit.remainingStock" />
                        </div>
                    </div> -->
					<!-- --- kena aot ---- -->
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingStock">Sisa Persediaan</label>
                            <input  currencyMask class="form-control" name="remainingStock" id="field_remainingStock"
                                [(ngModel)]="purchaseOrderItem.remainingStock" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingPo">Sisa PO</label>
                            <input  currencyMask class="form-control" name="remainingPo" id="field_remainingPo"
                                [(ngModel)]="purchaseOrderItem.remainingPo" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div> -->
                </div>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="{{'entity.action.save' | translate}}"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </div>
    </form>
</p-dialog>

